
QGIS Application - Bug report #12069

GUI for New Vector Layer is Abnormally Large 

2015-01-27 02:40 PM - Randal Hale

Status: Closed

Priority: Severe/Regression

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20269

Description

Both Windows 7 and UbuntuGIS versions of QGIS Master have an abnormaly Large Layer New Vector Layer GUI. Go to Layer -> Create

Layer -> New Shapefile Layer. On my laptop it takes up 80% of the screen on linux and about 70% on windows. It appears to be

abnormally large when compared to the other menus in 2.7

Associated revisions

Revision 59b758bb - 2015-02-06 06:28 AM - Nathan Woodrow 

Fix #12069 - Don't adjust size of projection combobox

Funded by Digital Mapping Solutions

History

#1 - 2015-01-28 01:21 AM - Giovanni Manghi

- OS version deleted (2.7)

- Operating System deleted (Windows Linux)

- Priority changed from Normal to Severe/Regression

Confirmed, this happens if QGIS has added a custom CRS to its list, so that combobox shows the entire proj4 string, that can be very long.

#2 - 2015-02-02 05:55 PM - Randal Hale

I'm thinking this may have also migrated into "Save as..." when right clicking on a layer. I don't remember the GUI being this large before today's update on

master.

#3 - 2015-02-03 01:43 AM - Giovanni Manghi

Randal Hale wrote:

I'm thinking this may have also migrated into "Save as..." when right clicking on a layer. I don't remember the GUI being this large before today's

update on master.

this new combox box has been applied in any place where the user could previously select a CRS, so this issue is likely to show in many places.
#4 - 2015-02-05 11:23 PM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"59b758bb2718195dc0afff1a9a38245d45fda5b0".
